## com.lowagie.text
Interface MarkupAttributes

All Superinterfaces:
  Element

All Known Implementing Classes:
  Anchor, Annotation, Chunk, HeaderFooter, Image, List, ListItem, Meta, Paragraph, Phrase, Rectangle, Row, Table

public interface MarkupAttributes
extends Element

Defines the interface for an `Element` with markup attributes-- that is, random String-to-String properties for representation in markup languages such as HTML and XML.

Author:
  Matt Benson

Field Summary

Fields inherited from interface com.lowagie.text.Element

`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, GRAPHIC, HEADER, IMGRAW, IMGTEMPLATE, JPEG, KEYWORDS, LIST, LISTITEM, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE`

Method Summary
`String` `getMarkupAttribute(String name)` Returns the value of the specified attribute.
`Set` `getMarkupAttributeNames()` Returns a `Set` of `String` attribute names for the `MarkupAttributes` implementor.
`Properties` `getMarkupAttributes()` Return a `Properties`-object containing all the markupAttributes.
`void` `setMarkupAttribute(String name, String value)` Sets the specified attribute.
`void` `setMarkupAttributes(Properties markupAttributes)` Sets the markupAttributes.

Methods inherited from interface com.lowagie.text.Element
`getChunks, process, toString, type`

Method Detail

### setMarkupAttribute

    public void setMarkupAttribute(String name,
                                   String value)

  Sets the specified attribute.

  Parameters:
    `name` - `String` attribute name.
    `value` - `String` attribute value.

### setMarkupAttributes

    public void setMarkupAttributes(Properties markupAttributes)

  Sets the markupAttributes.

  Parameters:
    `markupAttributes` - a `Properties`-object containing markupattributes

### getMarkupAttribute

    public String getMarkupAttribute(String name)

  Returns the value of the specified attribute.

  Parameters:
    `name` - `String` attribute name.
  Returns:
    `String`.

### getMarkupAttributeNames

    public Set getMarkupAttributeNames()

  Returns a `Set` of `String` attribute names for the `MarkupAttributes` implementor.

  Returns:
    `Set`.

### getMarkupAttributes

    public Properties getMarkupAttributes()

  Return a `Properties`-object containing all the markupAttributes.

  Returns:
    `Properties`